package market.Lms.FixedAssets.vo;

import java.util.Date;

import market.Lms.FixedAssets.mapper.LmsFixedSparePartMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="LMS_FIXED_SPARE_PART", namespace=LmsFixedSparePartMapper.class)
public class LmsFixedSparePart extends BaseVO{

	@Id
	//商品名称
	private String goods_no;
	
	@Column
	//商品名称
	private String goods_name;
	
	@Column
	//材质厂家
	private String manufactor;
	
	@Column
	//商品条码
	private String bar_code;
	
	@Column
	//规格型号
	private String spec_model;
	
	@Column
	//单位
	private String unit_name;
	
	@Column
	//数量
	private int quantity;
	
	@Column
	//单价
	private Double price;
	
	@Column
	//总价
	private Double money;
	
	@Column
	//备注
	private String memo;
	
	@Column
	//创建人编号
	private String create_man_no;
	
	@Column
	//创建人
	private String create_man_name;
	
	@Column
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getGoods_no() {
		return goods_no;
	}

	public void setGoods_no(String goods_no) {
		this.goods_no = goods_no;
	}

	public String getGoods_name() {
		return goods_name;
	}

	public void setGoods_name(String goods_name) {
		this.goods_name = goods_name;
	}

	public String getManufactor() {
		return manufactor;
	}

	public void setManufactor(String manufactor) {
		this.manufactor = manufactor;
	}

	public String getBar_code() {
		return bar_code;
	}

	public void setBar_code(String bar_code) {
		this.bar_code = bar_code;
	}

	public String getSpec_model() {
		return spec_model;
	}

	public void setSpec_model(String spec_model) {
		this.spec_model = spec_model;
	}

	public String getUnit_name() {
		return unit_name;
	}

	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public Double getPrice() {
		return price;
	}

	public void setPrice(Double price) {
		this.price = price;
	}

	public Double getMoney() {
		return money;
	}

	public void setMoney(Double money) {
		this.money = money;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}
	
}
